Upsert customer predictions
Create or update customer prediction for a specific customer and department
Path Parameters
departmentUUID string required
customerUUID string required
application/json
Request Body required
prediction object
oneOf
object
object
object
object
object
object
object
object
object
object
source object
type string
Possible values: [MESSAGE, USER, APPOINTMENT, ORDER, SERVICE_PRE_DIAG]
uuid string
Responses
- 200
OK
application/json
Schema
Example (from schema)
Schema
- Array [
- ]
- Array [
- ]
statusCode int32
prediction object
uuid string
departmentUuid string
dealerUuid string
customerUuid string
prediction object
oneOf
object
object
object
object
object
object
object
object
object
object
createdBy object
type string
Possible values: [MESSAGE, USER, APPOINTMENT, ORDER, SERVICE_PRE_DIAG]
uuid string
updatedBy object
type string
Possible values: [MESSAGE, USER, APPOINTMENT, ORDER, SERVICE_PRE_DIAG]
uuid string
createTimestamp date-time
updateTimestamp date-time
requestUUID string
errors object[]
errorCode string
errorDescription string
errorUID string
warnings object[]
warningCode string
warningDescription string
{
"statusCode": 0,
"prediction": {
"uuid": "string",
"departmentUuid": "string",
"dealerUuid": "string",
"customerUuid": "string",
"prediction": {
"active": true,
"type": "string",
"category": "COMPLAINTS",
"shortSummary": "string",
"notes": "string",
"notesPointersForFollowUp": "string"
},
"createdBy": {
"type": "MESSAGE",
"uuid": "string"
},
"updatedBy": {
"type": "MESSAGE",
"uuid": "string"
},
"createTimestamp": "2026-10-09T05:27:46.923Z",
"updateTimestamp": "2026-10-09T05:27:46.923Z"
},
"requestUUID": "string",
"errors": [
{
"errorCode": "string",
"errorDescription": "string",
"errorUID": "string"
}
],
"warnings": [
{
"warningCode": "string",
"warningDescription": "string"
}
]
}
Loading...